Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://{tenant_id}.api.useago.com/api/v1/documents/{document_id}/move \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "parent_id": "<string>", "position": 123 } '
import requestsurl = "https://{tenant_id}.api.useago.com/api/v1/documents/{document_id}/move"payload = { "parent_id": "<string>", "position": 123}headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({parent_id: '<string>', position: 123})};fetch('https://{tenant_id}.api.useago.com/api/v1/documents/{document_id}/move', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "<string>", "position": 123, "object": "document", "parent_id": "<string>" }
Move a document in the TOC.
Schema for moving a document.
OK
Response schema for document move operation.